## org.apache.mahout.common
Class TimingStatistics.Call

    java.lang.Object
      org.apache.mahout.common.TimingStatistics.Call

Direct Known Subclasses:
  TimingStatistics.LeadTimeCall

Enclosing class:
  TimingStatistics

    public class TimingStatistics.Call

extends Object

A call object that can update performance metrics.

Field Summary
`protected long` `startTime`

Method Summary
`void` `end()`
`boolean` `end(long sumMaxUsec)` Returns true if the sumTime as reached this limit;

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startTime

    protected final long startTime

Method Detail

### end

    public void end()

### end

    public boolean end(long sumMaxUsec)

  Returns true if the sumTime as reached this limit;

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.